CHGPASSWD(8)

NOM
chgpasswd - Mettre à jour par lot des mots de passe des groupes

SYNOPSIS

chgpasswd [options]

DESCRIPTION

The chgpasswd command reads a list of group name and password pairs from standard input and uses this information to update a set of existing groups. Each line is of the format:

group_name:password

By default the supplied password must be in clear-text, and is encrypted by chgpasswd.

The default encryption algorithm can be defined for the system with the ENCRYPT_METHOD variable of /etc/login.defs, and can be overwritten with the -e, -m, or -c options.

Cette commande est destinée aux gros systèmes pour lesquels un nombre importants de comptes sont créés en une seule fois.

OPTIONS

The options which apply to the chgpasswd command are:

-c, --crypt-method
    Utiliser la méthode précisée pour chiffrer les mots de passe.

    Les méthodes disponibles sont DES, MD5, NONE et SHA256 ou SHA512 si votre libc prend en charge ces méthodes.

-e, --encrypted
    Indiquer que les mots de passe fournis sont chiffrés.

-h, --help
    Afficher un message d'aide et quitter.

-m, --md5
    Permettre d'utiliser le chiffrement MD5, plutôt que DES, lorsque les mots de passe fournis ne sont pas chiffrés.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-s, --sha-rounds
    Utiliser le nombre de rounds précisé pour chiffrer les mots de passe.

    La valeur 0 signifie que le système choisira la valeur par défaut du nombre de rounds pour la méthode de chiffrement (5 000).

    Une valeur minimale de 1 000 et une valeur maximale de 999 999 999 seront imposées.

    Vous ne pouvez utiliser cette méthode qu'avec les méthodes de chiffrement SHA256 ou SHA512.

    By default, the number of rounds is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

AVERTISSEMENTS

Pensez à configurer les permissions ou umask afin d'empêcher la lecture des fichiers non chiffrés par les d'autres utilisateurs.

Vous devez vous assurer que les mots de passe et la méthode de chiffrement respectent la politique de mot de passe du système.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

FICHIERS

/etc/group
    Informations sur les groupes.

/etc/gshadow
    Informations sécurisées sur les groupes.

/etc/login.defs
    Configuration de la suite des mots de passe cachés « shadow password ».

VOIR AUSSI

gpasswd(1), groupadd(8), login.defs(5).